/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */
import type { Dispatch, SetStateAction } from 'react';
declare type NameSetter = Dispatch<SetStateAction<string[]>>;
export declare function useGuidance(index: Record<string, string>): (name: string) => string;
export declare function useHandleClick(setName: NameSetter): (url: string) => void;
export declare function useGoBack(setName: NameSetter): () => void;
export declare function useGoHome(name: string, setName: NameSetter): () => void;
export {};
